commit f5076242192fce135296058baa6088c409dc0a1b
Author: freddy77 <freddy77>
Date:   Wed May 12 08:13:58 2010 +0000

    fix minor issue with MingW

diff --git a/ChangeLog b/ChangeLog
index 4043ceb..1823424 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed May 12 10:13:17 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds_sysdep_private.h: fix minor issue with MingW
+
 Wed May 12 09:59:17 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/net.c: workaround for header incompatibility
 
@@ -2435,4 +2438,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3019 2010/05/12 08:00:10 freddy77 Exp $
+$Id: ChangeLog,v 1.3020 2010/05/12 08:13:58 freddy77 Exp $
diff --git a/include/tds_sysdep_private.h b/include/tds_sysdep_private.h
index 7a4a5c2..c04a39d 100644
--- a/include/tds_sysdep_private.h
+++ b/include/tds_sysdep_private.h
@@ -21,7 +21,7 @@
 #ifndef _tds_sysdep_private_h_
 #define _tds_sysdep_private_h_
 
-/* $Id: tds_sysdep_private.h,v 1.33 2010/05/10 15:10:47 freddy77 Exp $ */
+/* $Id: tds_sysdep_private.h,v 1.34 2010/05/12 08:13:58 freddy77 Exp $ */
 
 #undef TDS_RCSID
 #if defined(__GNUC__) && __GNUC__ >= 3
@@ -110,6 +110,7 @@ typedef DWORD pid_t;
 #if defined(__MSVCRT__) || defined(_MSC_VER)
 #define getpid()           _getpid()
 #define strdup(s)          _strdup(s)
+#undef fileno
 #define fileno(f)          _fileno(f)
 #define stricmp(s1,s2)     _stricmp(s1,s2)
 #define strnicmp(s1,s2,n)  _strnicmp(s1,s2,n)

